Imports System.Collections.ObjectModel

Public Class PartsObservableCollection(Of T)
   Inherits ObservableCollection(Of T)

   Public Sub AddToList(item As T)
      If IsNothing(item) OrElse Contains(item) Then Return
      Add(item)
   End Sub

   Public Overloads Sub RemoveFromList(item As T)
      If Not Contains(item) Then Return
      Remove(item)
   End Sub

End Class
